# class Net::HTTPGatewayTimeout

Response class for `Gateway Timeout` responses (status code 504).

The server was acting as a gateway or proxy and did not receive a timely response from the upstream server.

This class also includes (indirectly) module `Net::HTTPHeader`, which gives access to its methods for getting headers.

References:

- Mozilla.

- RFC 9110.

- Wikipedia.

### Constants

HAS_BODY